package com.example.blum.rgb_seekbars;

import android.graphics.Color;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.SeekBar;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    int[] mycolor = {255,0,0};
    TextView tvColor;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        for(int i=0; i<=2; i++) {
            String myID = "sb_" + i;

            int resID = getResources().getIdentifier(myID, "id", getPackageName());
            SeekBar mySeekBar = (SeekBar) findViewById(resID);
            mySeekBar.setOnSeekBarChangeListener(myListener);
        }
        tvColor = (TextView) findViewById(R.id.tvColor);
    }//end onCreate

    
    SeekBar.OnSeekBarChangeListener myListener = new SeekBar.OnSeekBarChangeListener() {
        @Override
        public void onProgressChanged(SeekBar seekBar, int i, boolean b) {
            // getId() gets a number and not what you called id in the layout xml
            // that's a resource
            String sb_name = getResources().getResourceEntryName(seekBar.getId());
            // my resources looked like sb_0, sb_1, sb_2
            String[] parts = sb_name.split("_");

            String tv_name = "tv_" + parts[parts.length-1];
            mycolor[Integer.parseInt(parts[parts.length-1])]=i;

            int resId = getResources().getIdentifier(tv_name, "id", getPackageName());
            TextView my_tv  = (TextView) findViewById(resId);
            my_tv.setText(""+i);

            tvColor.setBackgroundColor(Color.argb(255, mycolor[0], mycolor[1], mycolor[2]));
        }

        @Override
        public void onStartTrackingTouch(SeekBar seekBar) {

        }

        @Override
        public void onStopTrackingTouch(SeekBar seekBar) {
            //String sb_name = getResources().getResourceEntryName(seekBar.getId());
            //Toast.makeText(getApplicationContext(), sb_name, Toast.LENGTH_LONG).show();
        }
    };


}//end MainActivity
